var Device = require('./device');
/**
 * Representation of a host channel adapter. 
 * In order to be omnetpp compatibel one might 
 * number `lid` continiusly, begining from 1.
 * @argument {integer} lid Host LID.
 */
function Host( lid ){
    // call device constructor
    Device.call(this, lid);
    this.is_host = true;
    
    // also the LID of the CA
    this.name    = "H_" + this.id; 
}

Host.prototype = Object.create(Device.prototype); 
Host.prototype.constructor = Host;


module.exports  = Host;

