InfiniBand Flit Simulator for OMNeT++
=========================================================

This directory tree holds an InfiniBand model with support for 
IB flow control scheme, Arbitration over multiple VLs and routing 
based on Linear Forwarding Tables. Further more, it also supports 
the use to SL2VL tables.

Install it:

	$ opp_makemake -f --deep -O out -X utils
	$ make makefiles
	$ make
	$ make MODE=release

For more info regarding each one of the model modules see the doc directory.

### Obsolete Instructions.

The current published version available through the link: ib_flit_sim.28_07_13.tgz
The current model supports OMNeT++ version 4.2.2.
To use it you need to:

Install OMNeT++ distribution from: http://www.omnetpp.org
Follow the directions available for download here: http://omnetpp.org/doc/omnetpp/InstallGuide.pdf

- Download the ib_flit_sim.28_07_13.tgz
- Un tar the file and then cd into the created directory:
	
	$tar xvfz ib_flit_sim.28_07_13.tgz
    $cd ib_flit_sim.19_03_13
    $d=`pwd`

- Make sure the OMNeT++ release bin directory is included in the LINUX search path
	
	$ export PATH=$PATH:/..../omnetpp-4.2.2/bin/

- Compile the model:
   
	$ make makefiles; make; make MODE=release

- Inspect the simulation setups available under the "examples" directory.For example run:
 	
	$ export NEDPATH=$d/src:$d/examples
    $ cd $d/examples/is1_3l_32n
    $ $d/out/gcc-release/src/ib_flit_sim -f is1_3l_32n.ini -c OneHot

- Or without GUI:
   
	$ $d/out/gcc-release/src/ib_flit_sim -f is1_3l_32n.ini -c OneHot –u Cmdenv

The licensing of the model is GPLv2 however the user must obtain a valid OMNeT++ user license to run the simulation.
