var Device = require('./device');
/**
 * Representation of a switch. The ID should beginn at 0.
 * @param {int} id The id of the switch name
 * @returns {nm$_switch.Switch}
 */
function Switch( id ){
    Device.call(this, id);
    this.is_host = false;
    this.name    = "SW_" + this.id; 
}

Switch.prototype = Object.create(Switch.prototype); 
Switch.prototype.constructor = Switch;

module.exports  = Switch;
