/* 
 * File:   ibstop.h
 * Author: ottob
 *
 * Created on April 16, 2016, 11:05 AM
 */

#ifndef __IBSTOP_H
#define __IBSTOP_H

#include <omnetpp.h>
#include <iostream>
#include <iomanip>
#include <map>

using namespace std;
#ifdef __cplusplus
extern "C" {
#endif


#ifdef __cplusplus
}
#endif

 template <typename C>
 class Singleton
 {
 public:
    static C* instance ()
    {
       if (!_instance)
          _instance = new C ();
       return _instance;
    }
    virtual
    ~Singleton ()
    {
       _instance = 0;
    }
 private:
    static C* _instance;
 protected:
    Singleton () { }
 };
 template <typename C> C* Singleton <C>::_instance = 0;

/* Verwendung */
 class Supervisor : public Singleton <Supervisor>
 {
 friend class Singleton <Supervisor>;
 public:
    ~Supervisor () { }
    void printMap ();
    void insert(unsigned int LID, int msg_count);
    void probe();
    void update(unsigned int LID);

 private: 
     map <unsigned int, int> counter;
 protected:
    Supervisor () { }
 };
// Supervisor::instance ()->xyz ();

 


#endif /* IBSTOP_H */

